# Function $IsStateFilter

- $IsStateFilter($state: any): FilterFn

  #### Parameters

  - $state: any

  #### Returns FilterFn

  - Defined in src/router/state-filters.js:15

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

`isState` Filter: truthy if the current state is the parameter

Translates to [[StateService.is]] `$state.is("stateName")`.

#### Example:

    <div ng-if="'stateName' | isState">show if state is 'stateName'</div>

- Defined in src/router/state-filters.js:11